<?php

namespace domain\Setting;

use domain\_\AbstractRepositoryQuery;

class SettingRepositoryQuery extends AbstractRepositoryQuery
{
    protected SettingDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(SettingDefinition::class);
    }

    public function filterProducerIsNull(): self
    {
        $this->andWhere(['id_producer' => null]);
        return $this;
    }

    public function filterByName(string $name): self
    {
        $this->andWhere(['name' => $name]);
        return $this;
    }
}